<!--

function Delegate(){}
Delegate.create=function(o,f){
var tspdE=new Array();
var SXiYt=arguments.length;
for(var i=2;i<SXiYt;i++) tspdE[i-2]=arguments[i];
return function(){
var rllXV=[].concat(arguments,tspdE);
f.apply(o,rllXV);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.KaAau=0;
t.LoCeI=0;
t.KPajv=0;
t.ruCKG=0;
t.xrbcF=0;
t.dQdYw=0;
t.kCuDL=false;
t.name='';
t.suffixe='';
t.QiJoL=new Array();
t.setTime=function(t){
this.prevTime=this.LoCeI;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.KaAau);
this.update();
this.IbDax('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.LoCeI=this.KaAau;
this.update();
this.stop();
this.IbDax('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.LoCeI=t;
this.update();
}
}
t.isRunning=function(){
return this.kCuDL;
}
t.getTime=function(){
return this.LoCeI;
}
t.setDuration=function(d){
this.KaAau=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.KaAau;
}
t.setPosition=function(p){
this.prevPos=this.KPajv;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.KPajv=p;
this.IbDax('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.LoCeI;
return this.func(t,this.begin,this.change,this.KaAau);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.QiJoL=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.KPajv=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.IbDax('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.LoCeI=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.LoCeI=this.KaAau;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.LoCeI));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.kCuDL=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.kCuDL){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.xrbcF)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.IbDax('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.kCuDL=false;
}
t.continueTo=function(finish,duration){
this.begin=this.KPajv;
this.setFinish(finish);
if(this.KaAau!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.IbDax('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.LoCeI);
}
t.addListener=function(o){
this.removeListener(o);
return this.QiJoL.push(o);
}
t.removeListener=function(o){
var a=this.QiJoL;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.IbDax=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.QiJoL;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.xrbcF=this.getTimer()-this.LoCeI*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.LoCeI;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,FXNBl,qknbV,KaAau){
this.targetObject=obj;
this.init(new Object(),'a',func,FXNBl,qknbV,KaAau);
this.onMotionChanged=function(evt){
var v=evt.target.KPajv;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(RLJFV,Rjper,iTWke)
{
return "<canvas id='"+RLJFV+"' width='"+Rjper+"' height='"+iTWke+"'></canvas>"
}
function WA_canvas(RLJFV,Rjper,iTWke)
{
document.write(html_canvas(RLJFV,Rjper,iTWke))
}
function aVOxb(ZDLYG,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
ZDLYG.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
ZDLYG.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
ZDLYG.quadraticCurveTo(cx,cy,px,py);
}
}
function qmNVU(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
JjFIG(c,x,y,lx,ly,arc,clowckwise)
}
function JjFIG(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function VjAWV()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function KPqDw(lx,ly,parent,id_suffixe)
{
var rQuSj=document.createElement('canvas');rQuSj.width=lx;rQuSj.height=ly;
return rQuSj;
}
function rJglh(Asleg)
{
var LhqMn=(-Asleg+45);
return new Point(Math.cos(LhqMn*(2*Math.PI)/360),Math.sin(LhqMn*(2*Math.PI)/360))
}
function DrcRZ(c,Asleg)
{
var offset=rJglh(Asleg)
c.shadowOffsetX=2*offset.x;
c.shadowOffsetY=2*offset.y;
c.shadowBlur=4;
}
function WA_over_img_html(IXjbm,vIxte,JkvoX)
{
if(!IXjbm.src)
{
var cEeNc=IXjbm.getElementsByTagName("IMG")
if(cEeNc.length==1)IXjbm=cEeNc[0]
}
if(IXjbm.src1==undefined)
{
IXjbm.src1=IXjbm.src;
IXjbm.src2=vIxte;
}
if(JkvoX)
{
IXjbm.src=IXjbm.src2;
}
else
{
IXjbm.src=IXjbm.src1;
}
}
function WA_over_img(id,JkvoX)
{
var el=document.getElementById(id+"-canvas") 

var IXjbm=(JkvoX)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[IXjbm,IXjbm],el.wa_shadow,el.wa_rot,el.wa_reflex)
}
function mtxLu(RLJFV,lx,ly,arc,side)
{
this.id=RLJFV;
this.lx=lx;
this.ly=ly;
this.arc=arc;
var nSide=side
var reflexion=0.25
var sizeReflex=ly*reflexion;
this.decX=0
this.decY=0
this.sX=0;
this.sY=ly-sizeReflex;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=this.sY
this.gradX2=0
this.gradY2=ly 
if(nSide==2)
{
this.decY=1
}
if(nSide==1)
{
sizeReflex=lx*reflexion;
this.sX=lx-sizeReflex;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=this.sX
this.gradY1=0
this.gradX2=lx
this.gradY2=0
this.decX=1
}
if(nSide==0)
{
sizeReflex=ly*reflexion;
this.sX=0;
this.sY=0;
this.sLx=lx;
this.sLy=sizeReflex;
this.gradX1=0
this.gradY1=sizeReflex
this.gradX2=0
this.gradY2=0
this.decY=-1
}
if(nSide==3)
{
sizeReflex=lx*reflexion;
this.sX=0;
this.sY=0;
this.sLx=sizeReflex;
this.sLy=ly;
this.gradX1=sizeReflex
this.gradY1=0
this.gradX2=0
this.gradY2=0
this.decX=-1
}
this.QONMj=function(canv2)
{
if(/opera/i.test(navigator.userAgent)) return;
var bquZF=document.getElementById(this.id+"-reflex")
var vXEYS=bquZF.getContext('2d');
vXEYS.translate(this.lx,0)
vXEYS.scale(-1,1)
vXEYS.beginPath()
qmNVU(vXEYS,1,1,this.lx-2,this.ly-2,this.arc)
vXEYS.clip()
vXEYS.drawImage(canv2,this.sX,this.sY,this.sLx,this.sLy,this.sX,this.sY,this.sLx,this.sLy);
vXEYS.globalCompositeOperation="destination-out";
var gradient=vXEYS.createLinearGradient(this.gradX1,this.gradY1,this.gradX2,this.gradY2);
gradient.addColorStop(0,"rgba(255, 255, 255, 1.0)");
gradient.addColorStop(1,"rgba(255, 255, 255, 0.0)");
vXEYS.fillStyle=gradient;
vXEYS.beginPath()
vXEYS.rect(this.sX-this.decX,this.sY-this.decY,this.sLx,this.sLy);
vXEYS.fill();
vXEYS.globalCompositeOperation="source-over";
vXEYS.scale(-1,1)
vXEYS.translate(-this.lx,0) 
}
}
function extractNum(st)
{
var len=st.length
if((len>0)&&(st.substring(len-2,len)=="px"))
{
return wa_evaluate(st.substring(0,len-2))
}
return 0;
}
function rrkNW(c2,lx,ly,CiofP,bord_col,arc,arc2)
{
if(CiofP>0)
{
c2.beginPath()
c2.fillStyle=bord_col;
c2.beginPath()
qmNVU(c2,0,0,lx,ly,arc)
JjFIG(c2,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2,true)
c2.fill()
}
}
function BHOOu()
{
this.tx=0
this.ty=0
this.rotation=0
}
function xaHBO(id,lx,ly,rot,c2,canv2,shadow,matrix)
{
if(navigator.userAgent.match(/Firefox/i)||navigator.userAgent.match(/opera/i))
{
var div=document.getElementById(id)
if(div.style.MozTransform!=undefined) return;
if(matrix==undefined)
{
matrix=new BHOOu()
}
div.style.webkitTransformOrigin="0 0"
div.style.webkitTransform="rotate(0deg)";
if(div.style.MozTransform!=undefined)
{
div.style.MozTransform="rotate(0deg)";
div.style.MozTransformOrigin="top left"
}
var tFisF=0;
if(shadow)tFisF=6
var iiYCO=id+"-canvas"
var el=document.getElementById(iiYCO)
if(div.wa_pos==undefined)
{
div.wa_pos=new Point(extractNum(div.style.left),extractNum(div.style.top))
}
if(div.wa_size==undefined)
{
div.wa_size=new Size(extractNum(div.style.width),extractNum(div.style.height))
}
if(rot==90)
{
html_SetPosition(div,div.wa_pos.x-(ly)-tFisF,div.wa_pos.y-tFisF)
html_SetCanvasSize(el,div.wa_size.height+2*tFisF,div.wa_size.width+2*tFisF)
html_SetCanvasSize(canv2,div.wa_size.height+4*tFisF,div.wa_size.width+4*tFisF)
html_SetSize(div,div.wa_size.height+2*tFisF,div.wa_size.width+2*tFisF) 
matrix.tx=ly+2*tFisF
matrix.ty=2*tFisF
}
if(rot==180)
{
html_SetPosition(div,div.wa_pos.x-lx,div.wa_pos.y-ly)
matrix.tx=lx
matrix.ty=ly
}
if(rot==270)
{
html_SetPosition(div,div.wa_pos.x-tFisF,div.wa_pos.y-lx-tFisF)
html_SetCanvasSize(el,div.wa_size.height+2*tFisF,div.wa_size.width+2*tFisF)
html_SetCanvasSize(canv2,div.wa_size.height+4*tFisF,div.wa_size.width+4*tFisF)
html_SetSize(div,div.wa_size.height+2*tFisF,div.wa_size.width+2*tFisF) 
matrix.tx=2*tFisF
matrix.ty=lx+2*tFisF
}
matrix.rotation=rot*2*Math.PI/360
c2.translate(matrix.tx,matrix.ty)
c2.rotate(matrix.rotation)
}
}
function WA_img(id,lx,ly,arc,CiofP,bord_col,s_img,shadow,rot,TrtvC)
{
var iiYCO=id+"-canvas"
var el=document.getElementById(iiYCO)
var c=el.getContext('2d');
var EkpvT=false;
if(TrtvC!=undefined)
{
EkpvT=new mtxLu(iiYCO,lx,ly,arc,TrtvC)
}
var tFisF=0;
if(shadow)tFisF=6 

if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=CiofP
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
el.wa_reflex=TrtvC
c.translate(tFisF,tFisF)
}
var tmGGQ_img=document.getElementById(id+"-cache")
tmGGQ_img.onload=function()
{
c.clearRect(0,0,lx+2*tFisF,ly+2*tFisF)
var arc2=arc-CiofP;
if(arc2<0)arc2=0;
this.width=lx-2*CiofP
this.height=ly-2*CiofP
if(isMSIE())
{
if(shadow) bWkUV(c,0,0,lx,ly,arc,false,rot)
var KJWBh=c.createPattern(this,'no-repeat');
c.fillStyle=KJWBh;
c.beginPath()
qmNVU(c,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2)
c.translate(CiofP,CiofP)
c.fill()
c.translate(-CiofP,-CiofP)
rrkNW(c,lx,ly,CiofP,bord_col,arc,arc2)
}
else
if(navigator.userAgent.match(/Firefox/i)&&(shadow))
{
var babBQ=new  BHOOu()
xaHBO(id,lx,ly,rot,c,el,shadow,babBQ)
if(shadow) bWkUV(c,0,0,lx,ly,arc,false,rot)
var c2=c
rrkNW(c2,lx,ly,CiofP,bord_col,arc,arc2)
c2.beginPath()
qmNVU(c2,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2)
c2.clip()
c2.drawImage(this,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP);
c2.rotate(-babBQ.rotation)
c2.translate(-babBQ.tx,-babBQ.ty)
}
else
{
var canv2=KPqDw(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
var babBQ=new  BHOOu()
xaHBO(id,lx,ly,rot,c2,canv2,shadow,babBQ)
c.clearRect(-tFisF,-tFisF,lx+2*tFisF,ly+2*tFisF)
rrkNW(c2,lx,ly,CiofP,bord_col,arc,arc2)
c2.beginPath()
qmNVU(c2,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2)
c2.clip()
c2.drawImage(this,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP);
c2.rotate(-babBQ.rotation)
c2.translate(-babBQ.tx,-babBQ.ty)
if(shadow) DrcRZ(c,rot)
c.drawImage(canv2,0,0);
if(EkpvT)
{
EkpvT.QONMj(canv2)
}
}
}
tmGGQ_img.src=s_img[0];
}
function TFjYn(HaXTg,Asleg,LJgvD,NbTDV)
{
HaXTg.style.left=LJgvD+"px"
HaXTg.style.top=NbTDV+"px"
HaXTg.style.webkitTransformOrigin="0 0"
HaXTg.style.webkitTransform="rotate("+Asleg+"deg)";
}
function juFSg(c,type,lx,ly,corner)
{
if(type==1)
aVOxb(c,0,0,lx,ly)
else
qmNVU(c,0,0,lx,ly,corner)
}
function wRoSL(el,c,type,lx,ly,corner,bg,rqEVj,rot)
{
if(VjAWV()==false)
{
c.fillStyle=bg;
juFSg(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=KPqDw(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
juFSg(c2,type,lx,ly,corner)
c2.fill()
if(rqEVj) DrcRZ(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function bshcE(c,type,lx,ly,IfDeR,bg,OGrIu,nZpTf_glow)
{
if(OGrIu)
{
var x1=OGrIu[0];var y1=OGrIu[1];var lx1=OGrIu[2];var ly1=OGrIu[3];var IIFMd=OGrIu[4];
var ooOwB=c.createLinearGradient(x1,y1,x1,y1+ly1);
ooOwB.addColorStop(0,"rgba(255,255,255,0.7)");ooOwB.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=ooOwB;
if(type==1) aVOxb(c,x1,y1,lx1,ly1)
else
qmNVU(c,x1,y1,lx1,ly1,IIFMd)
c.fill()
}
if(nZpTf_glow)
{
var x2=nZpTf_glow[0];var y2=nZpTf_glow[1];var lx2=nZpTf_glow[2];var ly2=nZpTf_glow[3];
var iDTIQ=nZpTf_glow[4];
var halho_glow=new RGBColor(nZpTf_glow[5]);
halho_glow.a=0;
var col1=nZpTf_glow[5];
var col2=halho_glow.toRGB();
var HiITi=c.createLinearGradient(x2,y2,x2,y2+ly2);
HiITi.addColorStop(0,col2);
HiITi.addColorStop(0.2,col2);
HiITi.addColorStop(1,col1);
c.fillStyle=HiITi;
if(type==1) aVOxb(c,x2,y2,lx2,ly2)
else
qmNVU(c,x2,y2,lx2,ly2,iDTIQ)
c.fill()
}
}
function hTXxW(cbfNX,RLJFV,WFSII,Rjper,iTWke,IfDeR,TcEho,OGrIu,nZpTf_glow,rqEVj,Asleg)
{
cbfNX.RLJFV=RLJFV;cbfNX.WFSII=WFSII;
cbfNX.Rjper=Rjper;cbfNX.iTWke=iTWke;
cbfNX.IfDeR=IfDeR;cbfNX.TcEho=TcEho,cbfNX.OGrIu=OGrIu;
cbfNX.nZpTf_glow=nZpTf_glow;cbfNX.rqEVj=rqEVj;cbfNX.Asleg=Asleg;
}
function WA_but_over(RLJFV,TcEho_over,halho_glow)
{
var PcTXv=document.getElementById(RLJFV) 
if(PcTXv&&PcTXv.wOMej)
with(PcTXv.wOMej)
{
var nZpTf_glow_over;
if(nZpTf_glow&&halho_glow)
{
nZpTf_glow_over=new Array();
for(var ZeroU=0;ZeroU<nZpTf_glow.length;ZeroU++)nZpTf_glow_over[ZeroU]=nZpTf_glow[ZeroU];
nZpTf_glow_over[5]=halho_glow;
}
WA_but(RLJFV,WFSII,Rjper,iTWke,IfDeR,TcEho_over,OGrIu,nZpTf_glow_over,rqEVj,Asleg);
}
var upPUA_over0=document.getElementById(RLJFV+"-div0")
if(upPUA_over0)html_SetVisibility(upPUA_over0,false);
var dcEet=document.getElementById(RLJFV+"-div1")
if(dcEet)html_SetVisibility(dcEet,true);
}
function WA_but_out(RLJFV)
{
var PcTXv=document.getElementById(RLJFV)
with(PcTXv.wOMej)
{
WA_but(RLJFV,WFSII,Rjper,iTWke,IfDeR,TcEho,OGrIu,nZpTf_glow,rqEVj,Asleg);
}
var upPUA_over0=document.getElementById(RLJFV+"-div0")
if(upPUA_over0)html_SetVisibility(upPUA_over0,true);
var dcEet=document.getElementById(RLJFV+"-div1")
if(dcEet)html_SetVisibility(dcEet,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,rqEVj,rot)
{
var el=document.getElementById(id)
if(el.wOMej==undefined)
{
el.wOMej=new Array();
hTXxW(el.wOMej,id,type,lx,ly,corner,bg,top_light,s_glow,rqEVj,rot);
}
var c=el.getContext('2d');
var tFisF=0;
if(rqEVj)tFisF=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*tFisF,ly+2*tFisF) 
c.clearRect(0,0,lx+2*tFisF,ly+2*tFisF) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(VjAWV()==false)
{
c.translate(tFisF,tFisF)
img.width=lx
img.height=ly 
if(rqEVj)
bWkUV(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
juFSg(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
juFSg(c,type,lx,ly,corner)
c.fill()
}
bshcE(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-tFisF,-tFisF)
}
else
{
var canv2=KPqDw(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
juFSg(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
bshcE(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(rqEVj) DrcRZ(c,rot) 
c.drawImage(canv2,tFisF,tFisF);
}
}
img.src=bg2;
return;
}
c.translate(tFisF,tFisF) 
if(rqEVj&&(VjAWV()==false))
{
var OVlQV=new RGBColor(bg);
if(OVlQV.a>0)
{
bWkUV(c,0,0,lx,ly,corner,(type==1),rot)
}
}
wRoSL(el,c,type,lx,ly,corner,bg2,rqEVj,rot)
bshcE(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-tFisF,-tFisF)
}
function bWkUV(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
var offset=rJglh(rot)
c.translate(decShadow*offset.x,decShadow*offset.y)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) aVOxb(c,x,y,lx,ly);else qmNVU(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow*offset.x,-decShadow*offset.y)
}
function ONbBt(id,x,y,lx,ly,arc,CiofP,bord_col,bg,shadow,rot,CvvXv,gRemw)
{
if(gRemw==undefined)gRemw=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(CvvXv==undefined)CvvXv=1.0;
var tFisF=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
tFisF=6;
}
if(gRemw) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=CvvXv 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var PXZMO=bg1.split(";");
var x1=parseFloat(PXZMO[0]);
var y1=parseFloat(PXZMO[1]);
var x2=parseFloat(PXZMO[2]);
var y2=parseFloat(PXZMO[3]);
var col1=PXZMO[4];
var col2=PXZMO[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-CiofP;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) bWkUV(c,tFisF,tFisF,lx,ly,arc,false,rot)
}
if(CiofP>0)
{
c2.fillStyle=bord_col;
qmNVU(c2,x,y,lx,ly,arc)
JjFIG(c2,x+CiofP,y+CiofP,lx-2*CiofP,ly-2*CiofP,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
qmNVU(c2,x+CiofP,y+CiofP,lx-2*CiofP,ly-2*CiofP,arc2)
c2.fill();
}
function vvpDd(UQjbO,YWMQu,SfEdY)
{
return new Point(Math.round(UQjbO*Math.cos(SfEdY)-YWMQu*Math.sin(SfEdY)),Math.round(UQjbO*Math.sin(SfEdY)+YWMQu*Math.cos(SfEdY)))
}
function cOroG(c,x,y,lx,ly,arc,clowckwise,Asleg)
{
c.beginPath()
Fejwr(c,x,y,lx,ly,arc,clowckwise,Asleg)
}
function Fejwr(c,x,y,lx,ly,arc,clowckwise,Asleg)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var QAwIe=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=Asleg*2*Math.PI/360
for(var n=0;n<QAwIe.length;n++)
{
var KAmQx=QAwIe[n][0]
var PTGJf=QAwIe[n][1]
QAwIe[n][0]=KAmQx*Math.cos(theta)-PTGJf*Math.sin(theta);
QAwIe[n][1]=KAmQx*Math.sin(theta)+PTGJf*Math.cos(theta);
}
var n=0;
c.moveTo(QAwIe[n][0],QAwIe[n++][1]);
c.lineTo(QAwIe[n][0],QAwIe[n++][1]);
c.quadraticCurveTo(QAwIe[n][0],QAwIe[n++][1],QAwIe[n][0],QAwIe[n++][1]);
c.lineTo(QAwIe[n][0],QAwIe[n++][1]);
c.quadraticCurveTo(QAwIe[n][0],QAwIe[n++][1],QAwIe[n][0],QAwIe[n++][1]);
c.lineTo(QAwIe[n][0],QAwIe[n++][1]);
c.quadraticCurveTo(QAwIe[n][0],QAwIe[n++][1],QAwIe[n][0],QAwIe[n++][1]);
c.lineTo(QAwIe[n][0],QAwIe[n++][1]);
c.quadraticCurveTo(QAwIe[n][0],QAwIe[n++][1],QAwIe[n][0],QAwIe[n++][1]);
}
function dfAwF(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function XhaTm(new_a1,new_b1,AkrIu,multi)
{
var d=0;
for(var i=0;i<AkrIu.length;i++)
{
var HSrYn=AkrIu[i]
var d1=dfAwF(new_a1,new_b1,HSrYn.x,HSrYn.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function rVGvq(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function nLTFT(c,lx,ly,bg1)
{
var fill_obj=false;
var lEVpE=false;
var HvVbL=false;
var AkrIu=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var PXZMO=bg1.split(";");
var Edmsq=new Point(parseFloat(PXZMO[0]),parseFloat(PXZMO[1]));
var TfGSn=new Point(parseFloat(PXZMO[2]),parseFloat(PXZMO[3]));
lEVpE=Edmsq.clone()
HvVbL=TfGSn.clone()
var col1=PXZMO[4];
var col2=PXZMO[5];
var grad=c.createLinearGradient(lEVpE.x,lEVpE.y,HvVbL.x,HvVbL.y);
if(isMSIE())
{
lEVpE=Edmsq.clone()
HvVbL=TfGSn.clone() 
var ooOwB=0;
var HiITi=1;
{
AkrIu=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(HvVbL.y-lEVpE.y)/(HvVbL.x-lEVpE.x);
var b=lEVpE.y-a*lEVpE.x;
var diff=1;
if(a==Infinity)
{
d1=(lEVpE.y)
d2=(ly-HvVbL.y)
}
else
if(a==0)
{
d1=(lEVpE.x)
d2=(lx-HvVbL.x)
}
else
{
var new_a1=-1/a;
var new_b1=lEVpE.y-new_a1*lEVpE.x;
d1=XhaTm(new_a1,new_b1,AkrIu,-1)
var new_b2=HvVbL.y-new_a1*HvVbL.x;
d2=XhaTm(new_a1,new_b2,AkrIu,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(HvVbL.x-lEVpE.x,2)+Math.pow(HvVbL.y-lEVpE.y,2))
var total=(d1+d+d2)
ooOwB=d1/total;
HiITi=(d1+d)/total;
var pt_prod0=new Point(HvVbL.x-lEVpE.x,HvVbL.y-lEVpE.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
ooOwB=d2/total;
HiITi=(d2+d)/total;
}
}
grad.addColorStop(ooOwB,col1);
grad.addColorStop(HiITi,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,CiofP,bord_col,bg,shadow,rot,YeHxY,XlADT,CvvXv,gRemw)
{


var theta=rot*2*Math.PI/360 
if(gRemw==undefined)gRemw=true;
if(CvvXv==undefined)CvvXv=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var tFisF=(el.width-lx)/2;
if(gRemw) c.clearRect(0,0,el.width,el.height)
var x_rect0=tFisF;
var y_rect0=tFisF;
var bg1=bg[0]
var fill_obj=false;
var lEVpE=false;
var HvVbL=false;
var AkrIu=false
fill_obj=nLTFT(c,lx,ly,bg1) 
if(CvvXv==undefined)CvvXv=1.0;
var arc2=arc-CiofP;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(YeHxY+6,XlADT+6)
}
else
{
c2.translate(YeHxY,XlADT)
}
c2.fillStyle=fill_obj;
cOroG(c2,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,CiofP,bord_col,bg,shadow,rot,CvvXv,gRemw)
{

if(gRemw==undefined)gRemw=true;
if(CvvXv==undefined)CvvXv=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var tFisF=(el.width-lx)/2;
if(gRemw) c.clearRect(0,0,el.width,el.height) 

var fill_obj=nLTFT(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
LUHuI(c,el,lx,ly,arc,CiofP,bord_col,ptrn,shadow,rot,CvvXv)
}
img.src=bg2;
}
else
{
LUHuI(c,el,lx,ly,arc,CiofP,bord_col,fill_obj,shadow,rot,CvvXv)
}
}
function LUHuI(c,el,lx,ly,arc,CiofP,bord_col,fill_obj,shadow,rot,CvvXv)
{
if(CvvXv==undefined)CvvXv=1.0;
var arc2=arc-CiofP;
if(arc2<0)arc2=0
var tFisF=(el.width-lx)/2;
var x_rect0=tFisF;
var y_rect0=tFisF;
var canv2=false;
var c2=c;
c.globalAlpha=CvvXv
if(VjAWV()==true)
{
canv2=KPqDw(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=CvvXv
}
else
{
c2.translate(tFisF,tFisF)
if(shadow) bWkUV(c,0,0,lx,ly,arc,false,rot)
}
if(CiofP>0)
{
c2.fillStyle=bord_col;
qmNVU(c2,0,0,lx,ly,arc)
JjFIG(c2,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
qmNVU(c2,CiofP,CiofP,lx-2*CiofP,ly-2*CiofP,arc2)
c2.fill();
if(VjAWV()==true)
{
if(shadow) DrcRZ(c,rot)
c.drawImage(canv2,tFisF,tFisF);
}
else
{
c2.translate(-tFisF,-tFisF)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(nZpTf){return(this.width>nZpTf.width)&&(this.height>nZpTf.height)}
this.scale=function(GvwfG,UJlQQ)
{
if(!UJlQQ)UJlQQ=false
var cukxP=this;
var foHBC=cukxP.width
var vRofx=cukxP.height
var p1=foHBC*GvwfG.height;
var p2=GvwfG.width*vRofx;
var r1=foHBC/vRofx;
var r2=vRofx/foHBC;
var newSize1=new Size(GvwfG.height*r1,GvwfG.height);
var newSize2=new Size(GvwfG.width,GvwfG.width*r2);
if(p2>p1)
{
if((UJlQQ==true)||((newSize1.width<=cukxP.width)&&(newSize1.height<=cukxP.height)))
{
cukxP.width=Math.round(newSize1.width);
cukxP.height=Math.round(newSize1.height);
}
}
else
{
if((UJlQQ==true)||((newSize2.width<=cukxP.width)&&(newSize2.height<=cukxP.height)))
{
cukxP.width=Math.round(newSize2.width);
cukxP.height=Math.round(newSize2.height);
}
}
this.width=cukxP.width;
this.height=cukxP.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(UQjbO,YWMQu){this.x+=UQjbO;this.y+=YWMQu;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(HaXTg){return(this.x==HaXTg.x)&&(this.y==HaXTg.y)&&(this.width==HaXTg.width)&&(this.height==HaXTg.height);}
this.copy=function(HaXTg){this.x=HaXTg.x;this.y=HaXTg.y;this.width=HaXTg.width;this.height=HaXTg.height;}
this.translate=function(UQjbO,YWMQu){this.x+=UQjbO;this.y+=YWMQu;}
}
function html_getLayer(HaXTg)
{
if(typeof(HaXTg)=="string")return document.getElementById(HaXTg);
return HaXTg;
}
function html_SetPosition(HaXTg,UQjbO,YWMQu){
HaXTg=html_getLayer(HaXTg);
HaXTg.style.left=UQjbO+"px";HaXTg.style.top=YWMQu+"px";
}
function html_SetSize(sEUcD,Rjper,iTWke){
HaXTg=html_getLayer(sEUcD);
HaXTg.style.width=Rjper+"px";HaXTg.style.height=iTWke+"px";
}
function html_SetRect(HaXTg,vLocZ){html_SetGeometry(HaXTg,vLocZ.x,vLocZ.y,vLocZ.width,vLocZ.height);}
function html_SetGeometry(HaXTg,UQjbO,YWMQu,Rjper,iTWke){html_SetPosition(HaXTg,UQjbO,YWMQu);html_SetSize(HaXTg,Rjper,iTWke);}
function html_SetVisibility(HaXTg,BYEYE){HaXTg=html_getLayer(HaXTg);HaXTg.style.visibility=(BYEYE)?"visible":"hidden";}
function html_SetDisplay(HaXTg,BYEYE){HaXTg=html_getLayer(HaXTg);HaXTg.style.display=(BYEYE)?"block":"none";}
function html_SetCanvasSize(HaXTg,Rjper,iTWke){HaXTg=html_getLayer(HaXTg);HaXTg.width=Rjper;HaXTg.height=iTWke;}
function html_writeContent(HaXTg,nZpTf){HaXTg=html_getLayer(HaXTg);HaXTg.innerHTML=nZpTf;}
function html_SetOpacity(HaXTg,tspdE)
{
HaXTg=html_getLayer(HaXTg);
HaXTg.style['opacity']=tspdE;
HaXTg.style['-moz-opacity']=tspdE;
HaXTg.style.filter=(tspdE==1)?'':'alpha(opacity='+(tspdE*100)+')';
}
var rfCDP=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<rfCDP.length;i++)
{
var array2=rfCDP[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,rfCDP[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(jZlRR)
{
var vEdEB="0123456789.";var KidJh=true;var XWqdI;
for(ZeroU=0;ZeroU<jZlRR.length&&KidJh==true;ZeroU++){XWqdI=jZlRR.charAt(ZeroU);if(vEdEB.indexOf(XWqdI)==-1) KidJh=false;}
return KidJh;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(KkpoC)
{
var taltv=KkpoC*60;
var QKqev=new Date();
var dEYSI=0;
dEYSI+=QKqev.getYear()*12*31*24*60*60;
dEYSI+=QKqev.getMonth()*31*24*60*60;
dEYSI+=QKqev.getDate()*24*60*60;
dEYSI+=QKqev.getHours()*60*60;
dEYSI+=QKqev.getMinutes()*60;
dEYSI+=QKqev.getSeconds();
if(taltv!=0)
{
dEYSI=Math.floor(dEYSI/taltv)*taltv
}
return "-"+dEYSI;
}
function html_findPos(obj)
{
var tspdE=KZNOB(obj)
return new Point(tspdE[0],tspdE[1])
}
function KZNOB(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(FSSMX,Rjper,iTWke)
{
document.write("<input id='"+FSSMX+"' type=search results=0 placeholder='' style='width:"+Rjper+"px;height:"+iTWke+"px;'>")
}
function rmohh()
{
var cEeNc=document.getElementsByTagName("A");
for(var ZeroU=0;ZeroU<cEeNc.length;ZeroU++)
{
var HaXTg=cEeNc[ZeroU];
if(HaXTg.onmouseover)HaXTg.onmouseover=null;
if(HaXTg.onmouseout)HaXTg.onmouseout=null;
}
}
function OLfMi()
{
for(var vmdJt in document.wa_global_list_element)
{
var RLJFV=document.wa_global_list_element[vmdJt]
var PcTXv=document.getElementById(RLJFV)
PcTXv.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(RLJFV)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(RLJFV)
}
function Jceot()
{
var mAhTw=window.location.search;
if(mAhTw.substr(0,1)=="?")mAhTw=mAhTw.substr(1);
if(mAhTw.length==0)return;
var cZwLH=new Array();
var eJfnc=mAhTw.split("&");
for(var i=0;i<eJfnc.length;i++)
{
var GvKIg=eJfnc[i].split("=");cZwLH[GvKIg[0]]=GvKIg[1];
}
var nZpTf_info=cZwLH["crbst_info"];
if(!nZpTf_info)return;
var cIoQS=new Array();
cIoQS.m_unid=nZpTf_info;
cIoQS.m_index_item=-1;
var bvTeh=nZpTf_info.indexOf("-");
if(bvTeh!=-1)
{
cIoQS.m_unid="wa-id-"+nZpTf_info.substring(0,bvTeh);
cIoQS.m_index_item=parseInt(nZpTf_info.substring(bvTeh+1));
}
document.wa_global_query_info=cIoQS;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
rmohh()
}
else
{
OLfMi()
}
Jceot();

isFTP()
}
function isFTP()
{
var VlcNf=0;
var ceCSL=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var njNpn=getWindowSize().width
var mBLGY=document.webaca_width_page
if(njNpn>mBLGY)VlcNf=(njNpn-mBLGY)/2;
}
document.body.style.backgroundPosition=VlcNf+"px "+ceCSL+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var SrUZn=CONST_WA_COUNTRIES.codes[n]
var TmBaK=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[SrUZn]=TmBaK
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(RLJFV,vQtNx,rqEVj)
{
this.RLJFV=RLJFV;
this.vQtNx=vQtNx
this.rqEVj=rqEVj;
this.CaVOG=this.RLJFV+"-div"
this.QNkHL=this.RLJFV+"-canvas"
this.LvqSd=new Rect(0,0,0,0)
this.mOCqe=false;
this.KEKLi=false;
this.tFisF=6;
this.YuHSf=false;
this.AcmQR=false;
this.qbZwS=false;
this.EEbuu="";
this.shadow=function()
{
return this.rqEVj;
}
this.marginShadow=function()
{
return this.tFisF;
}
this.rect=function()
{
return this.LvqSd;
}
this.canvasId=function()
{
return this.QNkHL;
}
this.divId=function()
{
return this.CaVOG;
}
this.opacity=function()
{
return this.trpFw;
}
this.img_clip=function()
{
return this.AcmQR;
}
this.img_src=function()
{
return this.YuHSf;
}
this.toHtml=function()
{
var nZpTf=""
nZpTf+="<div id='"+this.CaVOG+"' style=\"";
nZpTf+="position:absolute;";
if(this.EEbuu.length>0)
{
nZpTf+="cursor:pointer;";
}
if(this.rect.x>0)nZpTf+="left:"+this.rect.x+"px;";
if(this.rect.y>0)nZpTf+="top:"+this.rect.y+"px;";
if(this.rect.width>0)nZpTf+="width:"+this.rect.width+"px;";
if(this.rect.height>0)nZpTf+="height:"+this.rect.height+"px;";
if(vQtNx)
nZpTf+="z-index:"+vQtNx+";";
nZpTf+="\" ";
if(this.EEbuu.length>0)
{
nZpTf+="onclick=\""+this.EEbuu+"\" "
}
nZpTf+=">";
if((this.rect.width>0)&&this.shadow())
{
nZpTf+=html_canvas(this.QNkHL,this.rect.width+2*this.tFisF,this.rect.height+2*this.tFisF)+"</div>";
}
else
{
nZpTf+=html_canvas(this.QNkHL,0,0)+"</div>";
}
return nZpTf
}
this.setImage=function(pUrRj,qxjuL,Asleg)
{
if(Asleg==undefined)Asleg=0;
if((pUrRj==this.YuHSf)&&(this.AcmQR&&this.AcmQR.equals(qxjuL))&&(this.qbZwS==Asleg))
{
return;
}
this.qbZwS=Asleg;
this.YuHSf=pUrRj;
this.AcmQR=qxjuL;
this.tONEC()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.QNkHL);
this.KEKLi=true;
this.setRect(this.LvqSd.x,this.LvqSd.y,this.LvqSd.width,this.LvqSd.height)
}
this.tONEC=function()
{
if((this.LvqSd.width>0)&&(this.LvqSd.height>0))
{
this.draw()
}
this.mOCqe=true
};
this.draw=function(){};
this.setPosition=function(UQjbO,YWMQu)
{
this.LvqSd.x=UQjbO;this.LvqSd.y=YWMQu;
if(this.KEKLi==false)return
html_SetPosition(this.CaVOG,this.LvqSd.x,this.LvqSd.y)
if(this.mOCqe==false)
{
this.tONEC()
}
}
this.setOnClick=function(nZpTf)
{
this.EEbuu=nZpTf
}
this.width=function(){return this.LvqSd.width;}
this.height=function(){return this.LvqSd.height;}
this.setSize=function(Rjper,iTWke)
{
this.LvqSd.width=Rjper;this.LvqSd.height=iTWke;
var Earaj=Rjper
var KBhcc=iTWke
if(this.rqEVj)
{
Earaj+=2*this.tFisF
KBhcc+=2*this.tFisF
}
if(this.KEKLi==false)return
html_SetSize(this.CaVOG,Earaj,KBhcc)
html_SetCanvasSize(this.QNkHL,Rjper,iTWke)
this.tONEC()
}
this.setRect=function(UQjbO,YWMQu,Rjper,iTWke)
{
this.LvqSd.x=UQjbO;this.LvqSd.y=YWMQu;this.LvqSd.width=Rjper;this.LvqSd.height=iTWke;
var Earaj=Rjper
var KBhcc=iTWke
var uKFMq=UQjbO
var gfcJc=YWMQu
if(this.rqEVj)
{
Earaj+=2*this.tFisF
KBhcc+=2*this.tFisF
uKFMq-=this.tFisF
gfcJc-=this.tFisF
}
if(this.KEKLi==false)return 
html_SetGeometry(this.CaVOG,uKFMq,gfcJc,Earaj,KBhcc);
html_SetCanvasSize(this.QNkHL,Earaj,KBhcc)
try{this.tONEC()}catch(e){
alert(e.message)
}
}
this.setVisible=function(BYEYE)
{
if(this.KEKLi==false)return
html_SetVisibility(this.CaVOG,BYEYE)
}
this.setOpacity=function(tspdE)
{
this.trpFw=tspdE 
if(this.KEKLi==false)return
this.tONEC()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
isFTP()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(vmdJt)
{
var SqLcO=WA_Dialog.CPOYs;
if(vmdJt==-1){SqLcO.closeWin();return;}
var VZUcP=SqLcO.FvAvE(vmdJt);
if(VZUcP[5])
{
VZUcP[4].call(VZUcP[6],VZUcP[5])
}
else
{
VZUcP[4](VZUcP[5]);
}
}
function WA_Dialog(BYEYE_close_button)
{
this.QqtWm=0;
this.CFQSc=0;
this.GvwfG_win_width=600;
this.GvwfG_win_height=400;
this.KlJxI=new Array();
this.csbQK="wa-dialog-but-";
this.puENl=this.csbQK+"div-";
this.GDmlG=this.csbQK+"canvas-";
this.BUTTON_HEIGHT=25;
this.YNEKN=CONST_WA_GLOBAL_COLOR_THEME;
this.BYEYE_close_button=BYEYE_close_button;
this.HJaMQ=6;
this.hpkFv=function()
{
if(this.BYEYE_close_button==undefined)this.BYEYE_close_button=true;
this.RJKxv();
}
this.resetButtons=function()
{
this.RJKxv();
}
this.idealHeight=function()
{
return this.EQCFF
}
this.displayWindowWithAutoResize=function(MTSOD,XakaU)
{
this.HkgLt=false
this.EQCFF=MTSOD
this.emaUf=XakaU 
this.resetButtons();
XakaU.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.HkgLt==false)
if(l.scrollHeight>200)
{
this.HkgLt=true
this.EQCFF=l.scrollHeight+150
this.resetButtons();
XakaU.call(this)
}
}
this.initializeWindow=function(GvwfG_lx,GvwfG_ly)
{
if(WA_Dialog.CPOYs)WA_Dialog.CPOYs.closeWin()
WA_Dialog.CPOYs=this;
this.GvwfG_win_width=GvwfG_lx;
this.GvwfG_win_height=GvwfG_ly;
this.kXbCJ()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.OAnCd=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(TmBaK,hGtFU,tmGGQ,WEkcc)
{
var asEjs=this.KlJxI.length
if(this.BYEYE_close_button==true)
{
asEjs--;
}
var Rjper=Math.max((TmBaK.length*8)*1.2+30,80)
var cukxP=new Size(Rjper,this.BUTTON_HEIGHT);
this.GfITo("action_"+asEjs,asEjs,TmBaK,hGtFU,cukxP,tmGGQ,WEkcc)
}
this.RJKxv=function()
{
this.KlJxI=new Array();
if(this.BYEYE_close_button)
{
var cukxP=new Size(120,20);
this.GfITo("close",-1,Translator.tr("Close")+" - X",null,cukxP)
}
}
this.GfITo=function(BLuwb,asEjs,TmBaK,hGtFU,cukxP,tmGGQ,WEkcc)
{
var VZUcP=[BLuwb,cukxP,asEjs,TmBaK,hGtFU,tmGGQ,WEkcc];
this.KlJxI.push(VZUcP);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.FvAvE=function(BLuwb)
{
for(var vmdJt=0;vmdJt<this.KlJxI.length;vmdJt++)
{
var VZUcP=this.KlJxI[vmdJt];
if((VZUcP[0]==BLuwb)||(VZUcP[2]+""==BLuwb+""))
return VZUcP;
}
return undefined;
}
this.NiKSk=function(BLuwb)
{
var VZUcP=this.FvAvE(BLuwb);
return VZUcP[1]
}
this.Zuiao=function(ImgaE)
{
var VZUcP=this.FvAvE(ImgaE);
var BLuwb=VZUcP[0];
var asEjs=VZUcP[2];
var halho_text=this.YNEKN[4]
var halho_bg=this.YNEKN[5]
var halho_glow=this.YNEKN[7]
if(asEjs==-1)
{
halho_text=this.YNEKN[10]
halho_bg=this.YNEKN[8]
halho_glow=this.YNEKN[11]
}
var UTAbo=this.puENl+BLuwb;
var RxRaF=this.GDmlG+BLuwb;
var cukxP=this.NiKSk(ImgaE)
var AiADW=this.HJaMQ;
var s=""
s+="<a href='javascript:WA_openDialogAction("+ImgaE+")' ";
var halho=new RGBColor(halho_bg);
var qfVcu=halho.toHsl();
halho.fromHsl(qfVcu[0],qfVcu[1],qfVcu[2]+0.2)
halho_bg=halho.toRGB();
var CcXjK_glow=new RGBColor(halho_glow);
var xAawp=CcXjK_glow.toHsl();
CcXjK_glow.fromHsl(xAawp[0],xAawp[1],xAawp[2]+0.2)
halho_glow=CcXjK_glow.toRGB();
s+="onmouseover=\"WA_but_over('"+RxRaF+"','"+halho_bg+"','"+halho_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+RxRaF+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.puENl+BLuwb+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+cukxP.height+"px;width:"+cukxP.width+"px;' >";
s+="<div style='position:absolute;left:"+(-AiADW)+"px;top:"+(-AiADW)+"px;height:"+cukxP.height+"px;'>"
s+="<canvas id='"+this.GDmlG+BLuwb+"' width="+(cukxP.width+AiADW*2)+" height="+(cukxP.height+AiADW*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(cukxP.height)+"px;line-height:"+(cukxP.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+halho_text+"'>"
s+=VZUcP[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(vmdJt)
{
return this.YNEKN[vmdJt];
}
this.dcgPh=function(BLuwb)
{
var VZUcP=this.FvAvE(BLuwb);
var asEjs=VZUcP[2];
var halho_bg=this.YNEKN[5]
var halho_glow=this.YNEKN[7]
var halho_text=this.YNEKN[3]
if(asEjs==-1)
{
halho_bg=this.YNEKN[8]
halho_glow=this.YNEKN[11]
halho_text=this.YNEKN[10]
}
var SrUZn=this.GDmlG+BLuwb;
registerDynamicCanvas(SrUZn);
var cukxP=this.NiKSk(BLuwb);
var IfDeR=cukxP.height*0.25;
var HGqYR=(cukxP.height-IfDeR)/2;
var vEjWk=(cukxP.width-2);
var iTWke_circle_top=IfDeR*2;
var PXZMO_top=[(cukxP.width-vEjWk)/2,1,vEjWk,iTWke_circle_top,HGqYR];
var Rjper_circle_bottom=cukxP.width*0.9;
var iTWke_circle_bottom=cukxP.height*0.45;
var fMCoU=halho_glow;
var LROMC=halho_glow;
var CnNZa=iTWke_circle_bottom/2;
var PXZMO_bottom=[(cukxP.width-Rjper_circle_bottom)/2,cukxP.height-iTWke_circle_bottom-1,Rjper_circle_bottom,iTWke_circle_bottom,CnNZa,fMCoU,LROMC];
WA_but(SrUZn,0,cukxP.width,cukxP.height,IfDeR,halho_bg,PXZMO_top,PXZMO_bottom,true,0)
}
this.obVEv=function(BLuwb)
{
var VZUcP=this.FvAvE(BLuwb)
if(VZUcP)
{
var SrUZn=this.puENl+VZUcP[0];
return document.getElementById(SrUZn);
}
return undefined
}
this.kXbCJ=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var ZYaig=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+ZYaig+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+ZYaig+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var ZeroU in this.KlJxI)
{
s+=this.Zuiao(this.KlJxI[ZeroU][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.ULuRQ)
}
this.ULuRQ=function()
{
registerDynamicCanvas('wa-dialog1');
for(var ZeroU in this.KlJxI)
{
this.dcgPh(this.KlJxI[ZeroU][0])
}
this.nWbXZ()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.CPOYs=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.YNEKN[3]+";";
}
this.onCustomKeypress=function(cnBOm)
{
if((this.KlJxI.length==1)&&(cnBOm==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(cnBOm)
{
return this.onCustomKeypress(cnBOm)
}
this.onkeydown=function(cnBOm)
{
if(cnBOm==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(cnBOm) 
}
this.customUpdate=function(){}
this.nWbXZ=function()
{
var Rjper_page=document.webaca_width_page;
var iTWke_page=document.webaca_height_page;
var bTvUc=getWindowSize().width
var iTWke_window=getWindowSize().height 

this.QqtWm=Math.min(bTvUc*0.9,this.GvwfG_win_width)
this.CFQSc=Math.min(iTWke_window*0.9,this.GvwfG_win_height)
var HrqRN=document.getElementById('wa-dialog1');
HrqRN.width=this.QqtWm+10
HrqRN.height=this.CFQSc+10
var UQjbO=getWindowScroll().x+(bTvUc-HrqRN.width)/2
var YWMQu=getWindowScroll().y+(iTWke_window-HrqRN.height)/2
UQjbO=(bTvUc-HrqRN.width)/2
YWMQu=(iTWke_window-HrqRN.height)/2
UQjbO=Math.max(0,UQjbO)
YWMQu=Math.max(0,YWMQu) 
var hYWfh=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',UQjbO,YWMQu,HrqRN.width,HrqRN.height);
var EQIqg_bg="(0;0;0;"+this.CFQSc*0.25+";"+this.YNEKN[1]+";"+this.YNEKN[2]+")";
WA_bg('wa-dialog1',this.QqtWm,this.CFQSc,10,3,this.YNEKN[0],[EQIqg_bg],true,0)
var NnLDK=10;
var iiroi=this.obVEv(-1)
if(iiroi)
{
var IhulT_close=this.NiKSk(-1)
html_SetPosition(iiroi,this.QqtWm-IhulT_close.width+this.HJaMQ-NnLDK,this.HJaMQ+NnLDK)
}
var FOJHH_buttons=this.KlJxI.length;
if(this.BYEYE_close_button==true)
{
FOJHH_buttons--;
}
var lrMQg=10;
var xgMkb=0;
for(var ZeroU=0;ZeroU<FOJHH_buttons;ZeroU++)
{
if(ZeroU>0) xgMkb+=lrMQg;
var IhulT=this.NiKSk(ZeroU);
xgMkb+=IhulT.width;
}
var kMWPp=(this.QqtWm-xgMkb)/2
for(var ZeroU=0;ZeroU<FOJHH_buttons;ZeroU++)
{
if(ZeroU>0) kMWPp+=lrMQg;
var VlCSK=this.obVEv(ZeroU);
var IhulT=this.NiKSk(ZeroU);
html_SetPosition(VlCSK,kMWPp+this.HJaMQ,+this.HJaMQ+this.CFQSc-IhulT.height-2*NnLDK)
kMWPp+=IhulT.width;
}
var iTWke_top=45;
var iTWke_bottom=this.BUTTON_HEIGHT+2*NnLDK;
if(FOJHH_buttons==0)
{
iTWke_bottom=0;
}
var iTWke_content=(this.CFQSc-iTWke_top-iTWke_bottom)-NnLDK
var Kfpbc=document.getElementById('wa-dialog-content');
var SqLcO_content=Math.round(this.QqtWm-2*NnLDK)
var ilDTn=Math.round(iTWke_content)
this.m_content_lx=SqLcO_content
this.m_content_ly=ilDTn
html_SetGeometry('wa-dialog-content',Math.round(5+(this.QqtWm-SqLcO_content)/2),Math.round(5+iTWke_top+(iTWke_content-ilDTn)/2),SqLcO_content,ilDTn);
this.customUpdate() 
var VDenF=document.getElementById('wa-dialog-container');
KHLuv=getWindowFullSize().width
iTWke_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',KHLuv,iTWke_full_client);
centerFullPageContainer();
}
this.hpkFv();
}
function WA_exec_callback_opera_compliant(tmGGQ,HGBUs)
{
if(/opera/i.test(navigator.userAgent))
WA_exec_delayedCallback(tmGGQ,HGBUs)
else
HGBUs.call(tmGGQ)
}
function WA_exec_delayedCallback(tmGGQ,HGBUs)
{
wa_timeout(Delegate.create(tmGGQ,HGBUs),0);
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.CPOYs;
}
WA_Dialog.CPOYs=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.CPOYs)
{
WA_Dialog.CPOYs.nWbXZ()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.OAnCd(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var Rjper_page=document.webaca_width_page;
var iTWke_page=document.webaca_height_page;
var VDenF=document.getElementById('wa-dialog-container');
KHLuv=getWindowSize().width
iTWke_full_client=getWindowSize().height
var YWMQu_bg=getWindowScroll().y;
YWMQu_bg=Math.min(YWMQu_bg,iTWke_page-iTWke_full_client+1)
YWMQu_bg=Math.max(YWMQu_bg,0)
var TFGkW=getWindowScroll().x;
TFGkW=Math.min(TFGkW,Rjper_page-KHLuv+1)
TFGkW=Math.max(TFGkW,0) 
html_SetPosition('wa-dialog-container',TFGkW,YWMQu_bg,KHLuv,iTWke_full_client);
}

function getXMLHttpRequest(fct_callback,WEkcc)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.aSQcZ=fct_callback
http_request.WEkcc=WEkcc
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.aSQcZ(true,this,this.WEkcc) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,BEdfK)
{
var http_request=getXMLHttpRequest(callback,BEdfK);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(SfDLw,TuSZA,WEkcc)
{
var result=TuSZA.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var hGqRd=WEkcc[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(hGqRd);
form.reset()
}
else
{
var dNXHq="error_string="
n=result.indexOf(dNXHq)
if(n>-1)
{
result=result.substring(n+dNXHq.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var YKetZ=el.value
YKetZ=encodeURI(YKetZ)
YKetZ=YKetZ.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+YKetZ+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(tWJpr)
{
var bnDlX=document.getElementById(tWJpr);
bnDlX.submit() 
}
function WZgfC(RLJFV,WEkcc)
{
var cnBOm=WEkcc[0]
if(cnBOm==13)
{
var tWJpr=RLJFV+"-form";
var bnDlX=document.getElementById(tWJpr);
for(var i=0;i<bnDlX.elements.length;i++)
{
var PcTXv=bnDlX.elements[i];
if((PcTXv.type=="textarea")&&(PcTXv.focused))return true;
}
WA_form_submit(tWJpr);
return false;
}
return true;
}
function WA_addFormDeclaration(RLJFV,oidji)
{
return WA_addHandler(RLJFV,"keypress",WZgfC)
}
function WA_form_bg(id,lx,ly,arc,CiofP,bord_col,bg,shadow,Asleg,pCoLg)
{
WA_bg(id,lx,ly,arc,CiofP,bord_col,bg,shadow,Asleg,1.0,true) 
var RVIej=pCoLg.x;
var bMFTJ=0;
var wAYkI=pCoLg.cells
for(var n=0;n<wAYkI.length;n++)
{
var GLfds=wAYkI[n]
var arc2=0
ONbBt(id,RVIej,bMFTJ+GLfds.y,pCoLg.w,GLfds.h,arc2,1,pCoLg.border,[''],false,0,1.0,false)
ONbBt(id,RVIej,bMFTJ+GLfds.y,GLfds.w,GLfds.h,arc2,1,"rgba(0,0,0,0)",[pCoLg.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(qtkPQ)
{
this.ok=false;this.a=1.0;
if(qtkPQ.charAt(0)=='#'){qtkPQ=qtkPQ.substr(1);}
qtkPQ=qtkPQ.replace(/ /g,'');
qtkPQ=qtkPQ.toLowerCase();
var XcBQK=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<XcBQK.length;i++){
var UJDQN=XcBQK[i].re;
var pUFhl=XcBQK[i]._process;
var AdUqx=UJDQN.exec(qtkPQ);
if(AdUqx){
var eghCG=pUFhl(AdUqx);
this.r=eghCG[0];this.g=eghCG[1];this.b=eghCG[2];this.a=eghCG[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.Babnu=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.Babnu(p,q,h+1/3);g=this.Babnu(p,q,h);b=this.Babnu(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function kYsgO(MsbvQ,WEkcc)
{
if(document.wa_global_handlers!=undefined)
{
var RLJFV=WA_focused_element()
if(RLJFV)
{
var hGtFU=document.wa_global_handlers[RLJFV+"-"+MsbvQ]
if(hGtFU) return hGtFU([RLJFV],WEkcc)
}
}
return true;
}
function XHWVh(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var cnBOm=XHWVh(e);
if(WA_Dialog.CPOYs)
{
if(WA_Dialog.CPOYs.onkeypress(cnBOm))
{
return false;
}
}
return kYsgO("keypress",[cnBOm]);
}
function WA_ondblclick(e)
{
return kYsgO("dblclic",[""]);
}
function WA_onkeydown(e)
{
var cnBOm=XHWVh(e)
if(WA_Dialog.CPOYs)
{
if(WA_Dialog.CPOYs.onkeydown(cnBOm))
{
return false;
}
}
if(cnBOm==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var tmGGQ=wa_global_photo_album.fullpage_object
return tmGGQ.onFullScreenKeydown(cnBOm) 
}
return kYsgO("keydown",[cnBOm]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var RLJFV=this.id
var hGtFU=document.wa_global_handlers[RLJFV+"-mousewheel"]
if(hGtFU)
{
if(hGtFU([RLJFV],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(RLJFV,MsbvQ,HGBUs)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(MsbvQ=="mousewheel")
{
var upPUA=document.getElementById(RLJFV);
if(upPUA.addEventListener)
upPUA.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
upPUA.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[RLJFV+"-"+MsbvQ]=HGBUs
}
function WA_loadPhotoAlbum(RLJFV,eeJAh,cukxP,RLJFV_modif)
{
if(typeof(wa_global_photo_album[RLJFV])=="undefined")
{
var o=new Array();
o.src_folder=eeJAh
o.size_container=cukxP
o.id_modif=RLJFV_modif
wa_global_photo_album[RLJFV]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(tmGGQ)
{
document.wa_global_focused_element=tmGGQ.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(oxjJA,lfCnZ,RVNdk)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[lfCnZ])document.wa_global_blogs_elements[lfCnZ]=new Array()
document.wa_global_blogs_elements[lfCnZ].id_blog=oxjJA
document.wa_global_blogs_elements[lfCnZ].has_email=RVNdk
}
function WA_addSearchHandler(RLJFV)
{
return WA_addHandler(RLJFV,"keypress",WlPAw)
}
function WlPAw(RLJFV,WEkcc)
{
var cnBOm=WEkcc[0]
if(cnBOm==13)
{
var lSxgg=RLJFV+"-search-input";
WA_onSearch(lSxgg)
return false;
}
return true;
}
function WA_declareSearchIndex(YlpgZ,QTxAg)
{
document.const_wa_search_js=YlpgZ
document.const_wa_search_index_js=QTxAg
}
function WA_onSearch(lSxgg)
{
var kPXHC=document.getElementById(lSxgg);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(kPXHC,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
UNtGC(kPXHC)
}
}
function QfnAj(WEkcc)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(WEkcc[0],document.const_wa_search_index_js)
}
function UNtGC(dnHPN)
{
WA_loadScript(document.const_wa_search_js,QfnAj,[dnHPN])
}
function SbMXY(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return SbMXY(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(RLJFV)
{
var ggONY=document.wa_global_menu_declaration[RLJFV]
WA_bg(RLJFV,ggONY.root_lx,ggONY.root_ly,ggONY.root_corner,ggONY.root_border,ggONY.root_col_border,[ggONY.root_bg],false,0)
var PcTXv=document.getElementById(ggONY.id)
if(!PcTXv)return;
var c=PcTXv.getContext('2d');
c.lineWidth=1
c.strokeStyle=ggONY.root_col_separator
var KPajv=0.5;

var edfBr=ggONY.root_sizes.length
if(ggONY.root_extend==false)
{
edfBr--;
}
var urhDZ=3;
for(var i=0;i<edfBr;i++)
{
var cukxP=ggONY.root_sizes[i] 

c.beginPath();
if(ggONY.root_vertical==false)
{
KPajv+=(cukxP-1)
c.moveTo(KPajv,urhDZ)
c.lineTo(KPajv,ggONY.root_ly-urhDZ)
}
else
{
KPajv+=(cukxP)
c.moveTo(urhDZ,KPajv-1,0)
c.lineTo(ggONY.root_lx-urhDZ,KPajv-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(RLJFV,ggONY)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
ggONY.id=RLJFV
document.wa_global_menu_declaration[RLJFV]=ggONY
WA_bg_menu(RLJFV)
}
function WA_declareMarket(RLJFV,wobhJ_market,RLJFV_modif)
{
if(typeof(wa_global_market.markets[RLJFV])=="undefined")
{
var o=new Array();
o.src_folder=wobhJ_market
o.id_modif=RLJFV_modif 

o.id=RLJFV
wa_global_market.markets[RLJFV]=o;
}
}
function WA_button_market_declare(RLJFV,TmBaK)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[RLJFV]=TmBaK
}
function SOfHq(c,img,UQjbO,YWMQu,Rjper,iTWke,qxjuL,CvvXv,gRemw)
{
c.globalAlpha=CvvXv
if(gRemw) c.clearRect(0,0,Rjper,iTWke) 
if(CvvXv==0)return;
if(qxjuL)
{
c.drawImage(img,qxjuL.x,qxjuL.y,qxjuL.width,qxjuL.height,UQjbO,YWMQu,Rjper,iTWke)
}
else
{
c.drawImage(img,UQjbO,YWMQu,Rjper,iTWke)
}
}
function WA_drawImage(id,pUrRj,UQjbO,YWMQu,Rjper,iTWke,qxjuL,CvvXv,gRemw)
{
if(gRemw==undefined)gRemw=true;
if(CvvXv==undefined)CvvXv=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==pUrRj)
{
SOfHq(c,c.gbrJw,UQjbO,YWMQu,Rjper,iTWke,qxjuL,CvvXv,gRemw)
return;
}
var img=new Image();
img.atEMf=el.atEMf
img.onload=function()
{
c.old_src=pUrRj
c.gbrJw=this;
SOfHq(c,this,UQjbO,YWMQu,Rjper,iTWke,qxjuL,CvvXv,gRemw)
}
img.src=pUrRj;
}

-->
